> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vidgo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 生成音乐

> AI 音乐生成，可自定义风格和人声

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询音乐详情](https://docs.vidgo.ai/zh/api-manual/music-series/query-music-detail.md)接口获取结果。

## 使用指南

* 此接口根据文本提示词创作音乐
* 每次请求会生成多个版本
* 可以通过自定义模式和伴奏设置控制细节程度

## 参数详情

* 自定义模式（`custom_mode: true`）：

  * 若 `instrumental: true`：`style` 和 `title` 必填

  * 若 `instrumental: false`：`style`、`prompt` 和 `title` 必填

  * 字符上限因模型而异：

    * **V4**：`prompt` 3000 个字符，`style` 200 个字符

    * **V4\_5 & V4\_5PLUS**：`prompt` 5000 个字符，`style` 1000 个字符

    * **V4\_5ALL**：`prompt` 5000 个字符，`style` 1000 个字符

    * **V5**：`prompt` 5000 个字符，`style` 1000 个字符

  * `title` 长度上限：80 个字符（所有模型）

* 非自定义模式（`custom_mode: false`）：

  * `prompt` 长度上限：500 个字符

  * 其他参数应留空

## 使用说明

* 新用户建议：先使用 `custom_mode: false`，用法更简单

## 可选参数

* `vocal_gender` (string)：人声性别偏好。`m` 为男声，`f` 为女声。注意：此参数仅在 `custom_mode` 为 `true` 时生效。根据实践，此参数只能提高概率，无法保证严格遵循男声 / 女声指令。

* `style_weight` (number)：遵循风格的强度。取值 0-1，最多 2 位小数。示例：`0.65`。

* `weirdness_constraint` (number)：控制创意偏离程度。取值 0-1，最多 2 位小数。示例：`0.65`。

* `audio_weight` (number)：音频特征的平衡权重。取值 0-1，最多 2 位小数。示例：`0.65`。

* `persona_id` (string)：应用于生成音乐的 Persona ID。用于为音乐生成应用特定的 Persona 风格。仅在启用自定义模式时可用。如何生成 persona\_id，请参阅 [generate-persona](https://docs.vidgo.ai/zh/api-manual/music-series/generate-persona.md)。


## OpenAPI

````yaml zh/api-manual/music-series/generate-music.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: Vidgo API - Generate Music API
  description: AI 音乐生成，可自定义风格和人声
  version: 1.0.0
servers:
  - url: https://api.vidgo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Music Generation
      summary: 提交音乐生成任务
      description: 使用 AI 模型生成带人声或不带人声的音乐
      operationId: submitMusicTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              custom-mode:
                summary: 自定义模式 - 完全控制
                value:
                  model: generate-music
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: A calm and relaxing piano track with soft melodies
                    style: Classical
                    title: 宁静钢琴冥想
                    custom_mode: true
                    instrumental: true
                    mv: V5
                    negative_tags: Heavy Metal, Upbeat Drums
                    style_weight: 0.65
              simple-mode:
                summary: 简单模式 - 仅歌词
                value:
                  model: generate-music
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: Write a song about summer love and beach sunsets
                    custom_mode: false
                    instrumental: false
                    mv: V4
              instrumental:
                summary: 纯音乐
                value:
                  model: generate-music
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: Epic orchestral soundtrack for a fantasy adventure
                    style: Cinematic, Orchestral
                    title: 巨龙之旅
                    custom_mode: true
                    instrumental: true
                    mv: V4_5PLUS
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          example: generate-music
        callback_url:
          type: string
          format: uri
          description: 接收结果通知的 Webhook 回调 URL
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - prompt
            - custom_mode
            - instrumental
            - mv
          description: 音乐生成的输入参数
          properties:
            prompt:
              type: string
              description: >-
                对期望音频内容的描述。


                - 自定义模式（`custom_mode: true`）：`instrumental` 为 `false` 时必填。prompt
                会严格作为歌词，在生成的曲目中演唱。
                  各模型字符上限：
                  - **V4**：最多 3000 个字符
                  - **V4_5 & V4_5PLUS**：最多 5000 个字符
                  - **V4_5ALL**：最多 5000 个字符
                  - **V5**：最多 5000 个字符

                - 非自定义模式（`custom_mode: false`）：始终必填。prompt
                作为核心创意，歌词会据此自动生成（不严格匹配输入）。最多 500 个字符。
                  示例："A short relaxing piano tune"
              maxLength: 5000
              example: A calm and relaxing piano track with soft melodies
            custom_mode:
              type: boolean
              description: |-
                启用高级参数自定义模式。

                - 为 `true` 时：可完全控制风格、标题和其他参数。`style` 和 `title` 变为必填字段。

                - 为 `false` 时：简化模式，只需 `prompt`。歌词会根据提示词自动生成。
              example: true
            instrumental:
              type: boolean
              description: |-
                指定是否生成不带人声的纯音乐。

                - 为 `true` 时：生成不含任何人声的纯音乐，只需 `style` 和 `title`。

                - 为 `false` 时：`style`、`prompt` 和 `title` 必填。
              example: true
            style:
              type: string
              description: |-
                音乐风格说明，用于定义流派、情绪或艺术方向。

                `custom_mode` 为 `true` 时必填。

                各模型字符上限：
                - **V4**：最多 200 个字符
                - **V4_5 & V4_5PLUS**：最多 1000 个字符
                - **V4_5ALL**：最多 1000 个字符
                - **V5**：最多 1000 个字符
              maxLength: 1000
              example: Classical
            title:
              type: string
              description: |-
                在播放器中显示并用于文件命名的曲目标题。

                `custom_mode` 为 `true` 时必填。

                最多 80 个字符。
              maxLength: 80
              example: Peaceful Piano Meditation
            mv:
              type: string
              description: |-
                用于音乐生成的 AI 模型版本。

                - **V5**：音乐表现力更出色，生成更快。
                - **V4_5PLUS**：音色更丰富，创作方式更多，最长 8 分钟。
                - **V4_5**：提示词理解更智能，生成更快，最长 8 分钟。
                - **V4_5ALL**：提示词理解更智能，生成更快，最长 8 分钟。
                - **V4**：人声质量提升，最长 4 分钟。
              enum:
                - V4
                - V4_5
                - V4_5ALL
                - V4_5PLUS
                - V5
              example: V5
            negative_tags:
              type: string
              description: |-
                生成时要排除的音乐风格或特征。

                指定输出中要避免的曲风、情绪或乐器。
              example: Heavy Metal, Upbeat Drums
            vocal_gender:
              type: string
              description: |-
                生成音乐的首选人声性别。

                - `m`：男声
                - `f`：女声

                仅在 `custom_mode` 为 `true` 且 `instrumental` 为 `false` 时生效。

                **注意**：此参数只能提高指定性别的概率，不能保证。
              enum:
                - m
                - f
              example: m
            style_weight:
              type: number
              description: |-
                控制指定风格对生成结果的影响强度。

                取值范围：0-1，最多 2 位小数。

                值越高，越贴合指定风格。
              minimum: 0
              maximum: 1
              example: 0.65
            weirdness_constraint:
              type: number
              description: |-
                控制实验性创意和非常规元素的程度。

                取值范围：0-1，最多 2 位小数。

                - 值较低：音乐更常规
                - 值较高：输出更具实验性和独特性
              minimum: 0
              maximum: 1
              example: 0.65
            audio_weight:
              type: number
              description: |-
                在音频特性与其他生成因素之间取得平衡。

                取值范围：0-1，最多 2 位小数。

                调整最终输出中对音质和声音特征的侧重。
              minimum: 0
              maximum: 1
              example: 0.65
            persona_id:
              type: string
              description: >-
                应用于生成音乐的 Persona ID。


                用于为音乐生成应用特定的 Persona 风格。Persona ID 通过 Persona 创建接口获取。


                仅在启用自定义模式时可用。


                如何生成 persona_id，请参阅
                [generate-persona](/zh/api-manual/music-series/generate-persona)。
              example: persona_123
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          description: HTTP 状态码
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
              description: 任务唯一标识，用于查询任务状态
            status:
              type: string
              enum:
                - not_started
              example: not_started
              description: 初始任务状态
            created_time:
              type: string
              format: date-time
              example: '2025-11-12T10:30:00'
              description: 任务创建时间，ISO 8601 格式
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证


        获取 API Key：


        进入 **仪表盘 → API 密钥**（[API Key
        管理页面](https://vidgo.ai/apis/dashboard/api-key)）获取你的 API Key


        在请求头中添加：


        ```

        Authorization: Bearer VIDGO_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.